E-mail notifications (enotifs) are not sent in the recipient's user interface language
OpenPublic

Description

This is admittedly a design flaw in the current Enotif version. For speed
reasons, I do not change the language, only the page edit time is expressed in
the local time of the recipient.

Please apologise; I'll try to find a better solution at the soonest, so that the
email notification arrives in the chosen user interface language.

If you run an English (= default) Wiki and your have English (default) as your
user interface language, you will not realize the problem mentioned here.


Version: 1.5.x
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz2592.
Wikinaut created this task.Via LegacyJun 28 2005, 10:17 PM
brion added a comment.Via ConduitMay 8 2006, 12:58 PM
  • Bug 5867 has been marked as a duplicate of this bug. ***
Raymond added a comment.Via ConduitMay 12 2008, 9:31 PM
  • Bug 11133 has been marked as a duplicate of this bug. ***
Nikerabbit added a comment.Via ConduitJan 31 2009, 4:36 PM

This is both good and bad. Good if the site has customised the messages, bad if not.

siebrand added a comment.Via ConduitJun 19 2009, 5:12 PM

(In reply to comment #3)

This is both good and bad. Good if the site has customised the messages, bad if
not.

Isn't this a completely different issue, covered in bug 8188?

Nikerabbit added a comment.Via ConduitJun 19 2009, 6:58 PM

(In reply to comment #4)h

Isn't this a completely different issue, covered in bug 8188?

Yes, but changing it now would cause a regression with no work-around as far as I can see.

Wikinaut added a comment.Via ConduitJun 19 2009, 7:12 PM

Yes, but changing it now would cause a regression with no work-around as far as I can see.

Not really. To solve the problem, a _recipient-specific_ selection and generation of the Enotif-message texts is needed (which are currently in one language only: as mentioned English or, a translation of it). Such generation must be done for all i recipients with language 1, for all j recipients with language 2 and so on - a lot of additional processing.

In my opinion, it is possible, but would make the code in UserMailer.php function composeCommonMailtext() far too complicate. In any case, I cannot afford to make these changes.

Tom - for Enotif

IAlex added a comment.Via ConduitApr 3 2010, 8:48 PM
  • Bug 22754 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitSep 4 2011, 9:41 PM

saibotrash wrote:

Today a user who was asked by me to upload to Commons instead of out local de.wikipedia complained that the notification emails when his talk page is changed are in English. I have tested and can confirm this wrong behaviour. Apparently the emails are sent out in the default language of the wiki but not in the interface language of the user. That is really bad...

Wikinaut added a comment.Via ConduitSep 4 2011, 9:44 PM

(In reply to comment #8)

Apparently the emails are sent out in the default language of the wiki but not
in the interface language of the user. That is really bad...

...and can, unfortunately, not be changed quickly.

Wikinaut added a comment.Via ConduitSep 4 2011, 9:46 PM

Apparently the emails are sent out in the default language of the wiki but not
in the interface language of the user. That is really bad...

It would require that a customised message is computed for any user (millions?) in their language.

Currently, there are more urgent problems than this.

bzimport added a comment.Via ConduitSep 5 2011, 11:06 PM

saibotrash wrote:

(In reply to comment #10)

It would require that a customised message is computed for any user (millions?)

in their language.

Millions? Only one text for each language. And the texts are already there as the different Wikipedias have their localized email messages, haven't they?

And, sorry, you are bringing up "urgent" - this bug is known since six years. ;-) That is impressive. I am not asking for this to be fixed in a week.. but - well - in some months or *at all* would be good.

Image censorship solutions are pushed to people who do not want them but such important things (it confuses newbies who do not speak English!) are not done... *grr*@WMF!

Wikinaut added a comment.Via ConduitSep 5 2011, 11:52 PM

(In reply to comment #11)

.. I am not asking for this to be fixed in a week.. but - well - in some months or *at all* would be good.

I agree and will try to find a solution.

Wikinaut added a comment.Via ConduitNov 4 2011, 6:49 AM

increased importance

siebrand added a comment.Via ConduitJan 13 2012, 12:45 PM

Tom, you increased importance without assigning it to yourself. Can you please fix one of the two? I'd love to see this resolved, too.

Wikinaut added a comment.Via ConduitJan 14 2012, 10:46 AM

(In reply to comment #14)

Tom, you increased importance without assigning it to yourself. Can you please
fix one of the two? I'd love to see this resolved, too.

Hi, thanks for pining me. I now reset the importance to "normal", and will be still monitoring this (and other enotif) bugs in a responsible way.

Unfortunately, the implementation is not so easy (see the previous comments in this bugzilla). In order not to become a "cookie licker" ( http://communitymgt.wikia.com/wiki/Cookie_Licking ) for this "cookie" I currently abstain from assigning myself to it.

Mormegil added a comment.Via ConduitSep 15 2012, 9:30 AM

Changed severity, this is no “enhancement” (except in the sense that any bug fix is an enhancement), this is a plain bug: especially the personalised “your talk page has changed” notification message sent individually to a single user is no wiki content, and it should obviously be sent in the user’s preferred language.

Wikinaut added a comment.Via ConduitSep 15 2012, 12:24 PM

I changed severity back to enhancement, because I never designed the software - when it was developed in 2004 - to sent enotifs in the user language. I fully agree, it should be done in that way, but it is not a bug.

Mormegil added a comment.Via ConduitSep 15 2012, 12:40 PM

Then you designed it badly, which is a bug by itself. Oh, well… nobody cares about the severity field anyway.

Wikinaut added a comment.Via ConduitSep 15 2012, 12:43 PM

Then you designed it badly,

hehehe, think positiv. I already said, that I agree it should be done that way.

Nemo_bis added a project: MediaWiki-Email.Via WebJan 4 2015, 6:56 PM
Nemo_bis set Security to None.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.